Subject: bug#26713: [PATCH] gnu: Move netsurf to web-browsers.scm.

From: Marius Bakke <[email-masked]>
Date: Sat, 06 May 2017 17:24:17 +0200

Kei Kebreau <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>
>> Kei Kebreau <[email-masked]> writes:
>>
>>> Leo Famulari <[email-masked]> writes:
>>>
>>>> On Sat, Apr 29, 2017 at 06:09:42PM -0400, Kei Kebreau wrote:
>>>>> * gnu/packages/web.scm: Move netsurf...
>>>>> * gnu/packages/web-browsers.scm: ...here.
>>>>
>>>> This caused building Guix to fail because the glib-or-gtk build-system
>>>> module was not imported in (gnu packages web-browsers).
>>>>
>>>
>>> Oh no! :(
>>>
>>>> I planned to add that module in a followup commit, but I realized that
>>>> several other variables from (gnu packages web) need to be imported in
>>>> (gnu packages web-browsers) along with this change, and I decided to
>>>> revert the change for now.
>>>>
>>>> Can you take another look at moving this package?
>>>
>>> Will do. I'll have to adjust the qutebrowser patch for corrections to
>>> this one.
>>
>> Try the attached patch. I'm not sure that copying the definition of
>> netsurf-buildsystem is the best way to handle the move, but I'm not sure
>> this is worth making netsurf-buildsystem a publicly-defined package.
>>
>> Thoughts?
>
> If you have no objections, I'd like to push this.

AFAICT, the latest patch (id:[email-masked]) does not
actually move netsurf-build-system. Am I missing something?

There are other things using netsurf-build-system as well, so I would
just leave it for now. Also some copyright information is missing in the
patch.

As a side note, make sure to run `make` after moving code around like
this. And `make clean-go` when deleting modules. I've been bitten before
by Guix picking up code from stale .go files.